Description

Currently, there is an Identity.JsonViewHelper that has two major drawbacks:

    -  the Code Example talks about a Persistence.Identity ViewHelper that only outputs raw 97e7e90a-413c-44ef-b2d0-ddfa4387b5ca,
for example
    -  the actual output of the Identity.JsonViewHelper is json_encode(array('__identity' => $identifier))

additionally, in the Conference package there's a Identity.Uuid that basically also outputs raw 
97e7e90a-413c-44ef-b2d0-ddfa4387b5ca.

I do not agree with the following things in the current situation:

    -  I think there should be a better name than Persistence.Identity; the "namespace" Persistence doesn't feel good to me. Let's
discuss this, maybe you agree.

    -  Outputting JSON would not make much sense; at least I'd expect the RAW value put out that could than be edited further (in this
case I agree with the code sample's behaviour or the Conference's Identity.Uuid's(same).

Maybe the Format.Json VieHelper I just pushed could be involved, at least as post-processor using ViewHelper chaining or similar.

I really think we should clean up here some things.

--

While writing this, I think at least correcting the Code Example should be duty, and there should be a new flag called e.g.
"rawIdentifier" that only returns the plain ID string with no JSON around.

But, well, the VH's name is already JSON, so...
what? :)

Just tell me some guidelines, I will gladly do it.

Associated revisions
Revision c8d53e98 - 2012-06-18 10:22 - Adrian Föder

[FEATURE] Add a ViewHelper for entity identifier retrieval

This adds a ViewHelper "format.identifier" that returns
the plain identifier for a given entity.

Change-Id: I1348648a1a0e7b6c9229f20f487496309df60c44
Resolves: #33494
Releases: 1.1, 1.2

Revision 85bca322 - 2012-06-18 10:24 - Adrian Föder

[FEATURE] Add a ViewHelper for entity identifier retrieval

This adds a ViewHelper "format.identifier" that returns
the plain identifier for a given entity.

Change-Id: I1348648a1a0e7b6c9229f20f487496309df60c44
Resolves: #33494
Releases: 1.1, 1.2

History
#1 - 2012-05-22 17:59 - Adrian Föder
- Tracker changed from Task to Feature
- Status changed from New to Accepted

#2 - 2012-05-22 18:24 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11484

#3 - 2012-05-22 19:05 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11484

#4 - 2012-05-22 19:07 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11484

#5 - 2012-05-24 13:45 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11484

#6 - 2012-05-25 16:09 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11484

#7 - 2012-05-25 16:21 - Gerrit Code Review
Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11484

#8 - 2012-06-18 09:58 - Karsten Dambekalns
- Target version set to 1.1 RC1

#9 - 2012-06-18 10:22 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11484

#10 - 2012-06-18 10:24 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/12157

#11 - 2012-06-18 10:37 - Adrian Föder
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:c8d53e983c5a387b80560fd2bd62556a4c91833a.
